TKN-HUB-REINSTALL(1)

NAME

tkn-hub-reinstall - Reinstall a resource by its kind and name

SYNOPSIS

tkn hub reinstall

DESCRIPTION

Reinstall a resource by its kind and name

OPTIONS

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from="tekton"
    Name of Catalog to which resource belongs.

-h, --help[=false]
    help for reinstall

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--version=""
    Version of Resource

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

SEE ALSO

tkn-hub(1), tkn-hub-reinstall-task(1)